Subject: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: "Drew Adams" <[email-masked]>
Date: Fri, 1 Feb 2013 08:32:22 -0800

> > > I think it's good to install
> > 
> > Likewise.  It may not fix all the problems in this area, but
> > given the test results posted so far it should fix a good many
> > of them.  I pushed it as trunk bzr 111550.
> > 
> > Drew, I don't know whether this fixes the problems you observed
> > on Windows XP -- could you please let us know if you
> > still observe those problems post-111550?  Thanks.
> 
> I'll be glad to keep an eye out.  But I probably won't be 
> able to help any more with this.  As you've seen, you have had
> to dig into it without me.
> 
> I only saw the problem once.  And I have no idea what I was 
> doing at the time or whether it even mattered.  Anyway, I'm glad
> you were able to learn something about either the problem I saw
> or something similar.  Let's hope it's taken care of now.  Thx.

Nope, this is still a problem - it just happened again, with a 2-day-old build.

I was editing a file, then had just saved it (C-x C-s) and tried to continue
editing, and I got the message saying that the file on disk had been changed and
asking me if I really wanted to edit the buffer.

IOW: I typed some chars, did C-x C-s, then tried to type some more chars.  Boom.

Oh, and BTW, shouldn't the prompt/message saying that the file was changed and
asking me whether I wanted to edit be recorded in *Messages*?  It is not.  That
too seems like a bug, but I'll let you decide that.

This is with this build:

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-30 on ODIEONE
Bzr revision: 111631 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'